{
    attributes = (
        {
            columnName = "C_CORPS_INIT"; 
            externalType = VARCHAR2; 
            name = cCorpsInit; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "C_CORPS_SUIV"; 
            externalType = VARCHAR2; 
            name = cCorpsSuiv; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_DEB_VALIDITE"; 
            externalType = DATE; 
            name = dDebValidite; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_VALIDITE"; 
            externalType = DATE; 
            name = dFinValidite; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "NO_HIERARCHIE_CORPS"; 
            externalType = NUMBER; 
            name = noHierarchieCorps; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (noHierarchieCorps, cCorpsInit, cCorpsSuiv); 
    className = "org.cocktail.mangue.modele.grhum.EOHierarchieCorps"; 
    classProperties = (
        dCreation, 
        dDebValidite, 
        dFinValidite, 
        dModification, 
        toCorpsInitial, 
        toCorpsSuivant
    ); 
    externalName = "GRHUM.HIERARCHIE_CORPS"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            dCreation, 
            dDebValidite, 
            dFinValidite, 
            dModification, 
            toCorpsInitial, 
            toCorpsSuivant
        ); 
        "_nameInObjectStore" = "HIERARCHIE_CORPS"; 
    }; 
    name = HierarchieCorps; 
    primaryKeyAttributes = (noHierarchieCorps); 
    relationships = (
        {
            destination = Corps; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cCorps; sourceAttribute = cCorpsInit; }); 
            name = toCorpsInitial; 
        }, 
        {
            destination = Corps; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cCorps; sourceAttribute = cCorpsSuiv; }); 
            name = toCorpsSuivant; 
        }
    ); 
}
